\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{angles,quotes}
\usetikzlibrary{calc}
\begin{document}
\begin{tikzpicture}[>=latex]
  \coordinate (O) at (0,0);
  
  % x axis
  \draw[->, gray] (O) -- (4,0) node[right] {$Re$};
  
  % y axis
  \draw[->, gray] (0,-3) -- (0,3) node[left] {$Im$};

  % R
  \def \RM{3};
  \draw[->] (O) -- (\RM,0) coordinate (R) node[midway, below] {$\vec{R}$};

  % L
  \def \LM{1};
  \draw[->] (O) -- (0,\LM) coordinate (L) node[midway, left] {$\vec{X_L}$};

  % total Z
  \draw[->] (O) -- (\RM,\LM) coordinate (Z) node[midway, above] {$\vec{Z}$};

  %
  \draw[dashed] (L) -- (Z);
  \draw[dashed] (R) -- (Z);
  
  % angle
  \draw pic[draw,angle radius=8mm,angle eccentricity=1.4,"$\varphi$"]
        {angle = R--O--Z};
        
\end{tikzpicture}
\end{document}
